import createTimePicker from './time-picker';
import dateFnsGenerateConfig from '../vc-picker/generate/dateFns';

var _createTimePicker = createTimePicker(dateFnsGenerateConfig),
    TimePicker = _createTimePicker.TimePicker,
    TimeRangePicker = _createTimePicker.TimeRangePicker;

/* istanbul ignore next */
TimePicker.install = function (app) {
  app.component(TimePicker.name, TimePicker);
  app.component(TimeRangePicker.name, TimeRangePicker);
  return app;
};

TimePicker.TimeRangePicker = TimeRangePicker;
export { TimePicker, TimeRangePicker };
export default TimePicker;